/******************************************************************************
 Presence detector
******************************************************************************/
ADC_MODE(ADC_VCC);
// wifi and smtp def ==================================
#include "network-free.h"    // your network.h file
/* The SMTP Session object used for Email sending */#
SMTPSession smtp;
/* Callback function to get the Email sending status */
void smtpCallback(SMTP_Status status);
int gmtoffset = 1;                                    // time zone
// my infos to send ==========================-
String subject, htmlMsg;                              // some variables
String subject1 = "Low battery or presence alert : ";
String htmlMsg1 = "<p>This is the <span style=\"color:#ff0000;\">html text</span> message.</p><p>The message was sent via ESP8266 device.</p>";
// some variables =======================
const int mosfettpin = 13;  // input to mosfett 
int pinout = 14;            // buzzer 
int lpcont = 0 ;            // count the relative time microcontroler is active 
float voltagemin = 3;   // min VCC limit
float_t voltage;                       
//  Display information 
#include <Wire.h>
#include <Adafruit_GFX.h>
#include <Adafruit_SSD1306.h>
#define SCREEN_WIDTH 128
#define SCREEN_HEIGHT 64
Adafruit_SSD1306 display(SCREEN_WIDTH, SCREEN_HEIGHT, &Wire, -1);
// EYES layouts
#include "eyes.h"
//
void setup() 
  {
  pinMode(mosfettpin,OUTPUT);
  digitalWrite(mosfettpin, LOW);  // inhibits power hold
  Serial.begin(115200);
   if(!display.begin(SSD1306_SWITCHCAPVCC, 0x3C)) 
   {
    Serial.println(F("SSD1306 allocation failed"));
    for(;;);
   }
  // read VCC
  uint16_t v = ESP.getVcc();
  voltage = ((float)v/1024.0f)  - 0.04;  // -0.09V to adjust measured VCC with extrnal voltmeter;
  }

void loop() {
  // Displays EYES_FRONT on the screen
  display.clearDisplay();  // Clear the buffer
  display.drawBitmap(0, 0, image_data_EYES_FRONTarray, 128, 64, 1);
  display.display();
  tone(pinout, 262, 70);
  delay(100);
  tone(pinout, 196, 100);
  delay(500); // Pause

  // Displays EYES_DISTRESSED on the screen
  display.clearDisplay();  // Clear the buffer
  display.drawBitmap(0, 0, image_data_DISTRESSED_EYESarray, 128, 64, 1);
  display.display();
  tone(pinout, 220, 100);
  delay(100);
  tone(pinout, 300, 70);
  delay(500); // Pause

  // Displays EYES_RIGHT on the screen
  display.clearDisplay();  // Clear the buffer
  display.drawBitmap(0, 0, image_data_EYES_RIGHTarray, 128, 64, 1);
  display.display(); 
  tone(pinout, 500, 100);
  delay(100);
  tone(pinout, 700, 70);
  delay(500); // Pause 
  // test if long presence or voltage low
  if ((lpcont > 5) || (voltage < voltagemin))  // approximately 10s
    {
      // enable hold status
    	digitalWrite(mosfettpin, HIGH);
	    subject = subject1;
      htmlMsg = htmlMsg1 + String(voltage,2);
	    // send an alert email
      smtpsendmail();
	    // disable hold status
	    digitalWrite(mosfettpin, LOW);
  	}
  lpcont = lpcont + 1;
}